Subject: [IPFIX] Comments for IPFIX anonymization

From: Gerhard Muenz <[email-masked]>
Date: Sat, 02 Aug 2008 08:29:57 +0200

Elisa, Brian,

I'm glad to see that somebody takes over this task.

With respect to IP address anonymization, there exist a couple of
excellent publications. So, I suggest to cite the most important ones.

Some comments concerning the current draft version:

Throughout the document, there is a mixture of British English and
American English. So we might guess who wrote which part, and there is
room for anonymization ;)

> 4.1.2. Random Permutations
> 
> 
>    When random permutations are used, each IP Address is replaced with a
>    random permutation on the set of possible IP Addresses.  The
>    permutation function can be implemented using hash tables.

You probably mean hash functions, not hash tables.

> 4.1.3. Prefix-preserving Pseudonymisation
> 
> 
>    Prefix-preserving pseudonymisation preserves the structure of IP
>    Addresses.  If two IP Addresses match on a prefix of "n" bits, their
>    anonymised versions will match on a prefix of "n" bits too.

In contrast to your table, prefix-preserving pseudonymization may be
irreversible, too. For example, you can use CryptoPAN and throw away the
key after anonymization.

>         +-----------------------+----------------+---------------+
>         | Scheme                | Action         | Reversibility |
>         +-----------------------+----------------+---------------+
>         | Precision Degradation | Generalisation | N             |
>         | Enumeration           | Substitution   | Y             |
>         | Random Shifts         | Substitution   | Y             |
>         +-----------------------+----------------+---------------+

Why is enumeration reversible?
If I have timestamps in milliseconds 345, 700, 701 and transform them
into 1, 2, 3, how can you revert this transformation?

When I saw the table, I assumed the random shifts to be random and
different for each timestamp (like noise). Then it would be irreversible.

Regards,
Gerhard

-- 
Dipl.-Ing. Gerhard Münz
Computer Networks and Internet
Wilhelm Schickard Institute for Computer Science
University of Tuebingen
Sand 13 (Room B309), D-72076 Tuebingen, Germany
Phone:  +49 7071 29-70534       Fax: +49 7071 29-5220
E-mail: [email-masked]
WWW:    http://net.informatik.uni-tuebingen.de/~muenz

_______________________________________________
IPFIX mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ipfix